"""
Templates and helpers for onboarding documentation (KATALYST.md).
"""


def get_katalyst_md_template():
    """
    Returns a template string for KATALYST.md documentation.
    Placeholders:
      {project_tree}
      {readme_summary}
      {config_summaries}
      {common_commands}
    """
    return (
        "# Katalyst Project Documentation\n\n"
        "## Project Structure\n"
        "```\n{project_tree}\n```\n\n"
        "## README.md Summary\n"
        "{readme_summary}\n\n"
        "## Configuration Files Summary\n"
        "{config_summaries}\n\n"
        "## Common Commands\n"
        "{common_commands}\n\n"
        "---\nGenerated by Katalyst Agent /init onboarding.\n"
    )
